Subject: [AAA-WG]: Issue #11: Head of Line Blocking Prevention

From: Pat Calhoun <[email-masked]>
Date: Tue, 15 May 2001 14:16:44 -0700

Here is an e-mail sent by Jon, identifying another unresolved issue.
Although he *just* sent it to the list, I wanted a subject that will make
it easier to track.

PatC
----

One other proposal I made was a way to prevent head-of-the-line 
blocking.

In terms of the spec, there are two pretty minor things that 
would have to be added:  

1. For interoperability: All Diameter nodes MUST be prepared to receive
Diameter messages on any SCTP stream in the association. 
2. To prevent blocking: All Diameter nodes SHOULD utilize all SCTP 
streams available to the association to prevent head-of-the-line blocking.    

WRT 2, the striping method I proposed should be very simple and 
effective, but I see no reason to force implementations to use
it if they think they can do better.